# Header
scenario = "PushPull";
response_matching = simple_matching;
active_buttons = 2;
default_background_color = 50, 50, 50;
default_font_size = 48;

# SDL
begin;
texture {
	filename = "attractive1.jpg";
} my_texture;

plane {
	width = 400.0; height = 600.0;
	mesh_texture = my_texture;
	color = 0.0, 0.0, 0.0;
	emissive = 1.0, 1.0, 1.0;
} my_plane;

picture {
	plane my_plane;
	x = 0;
	y = 0;
	z = 0;
} my_picture;

trial {
	trial_type = fixed;
	trial_duration = 1000;
	stimulus_event {
		picture my_picture;
		time = 0;
	} my_event;
} my_trial;

text {
	caption = "Default";
} my_text;

trial {
	trial_type = first_response;
	trial_duration = forever;
	stimulus_event {
		picture {
			text my_text;
			x = 0; y = 0;
		} my_text_picture;
		time = 0;
	} my_text_event;
} my_text_trial;

#PCL
begin_pcl;
set_random_seed(int(logfile.subject()));
include "PushPull.pcl";
